javax.crypto

## Class NoSuchPaddingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.crypto.NoSuchPaddingException

All Implemented Interfaces:
  Serializable

    public class NoSuchPaddingException
    extends GeneralSecurityException

This exception is thrown when a particular padding mechanism is requested but is not available in the environment.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoSuchPaddingException()` Constructs a NoSuchPaddingException with no detail message.
`NoSuchPaddingException(String msg)` Constructs a NoSuchPaddingException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchPaddingException

    public NoSuchPaddingException()

Constructs a NoSuchPaddingException with no detail message. A detail message is a String that describes this particular exception.

#### NoSuchPaddingException

    public NoSuchPaddingException(String msg)

Constructs a NoSuchPaddingException with the specified detail message.

Parameters:
  `msg` - the detail message.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.